HepMC3 event record library: SelectorWrapper< Feature_type > Class Template Reference

HepMC3 event record library

Public Member Functions | Static Public Member Functions | Private Attributes
SelectorWrapper< Feature_type > Class Template Reference

## Detailed Description

template<typename Feature_type>
class HepMC3::SelectorWrapper< Feature_type >

Forward declaration of SelectorWrapper.

SelectorWrapper.

Definition at line 85 of file Selector.h.

`#include <Selector.h>`

Inheritance diagram for SelectorWrapper< Feature_type >:
[legend]
Collaboration diagram for SelectorWrapper< Feature_type >:
[legend]

## Public Member Functions
| SelectorWrapper (typename Feature< Feature_type >::Evaluator_type functor)
| Constructor.
Filter | operator> (int value) const override
| Operator >.
Filter | operator> (double value) const override
| Operator >.
Filter | operator>= (int value) const override
| Operator >=.
Filter | operator>= (double value) const override
| Operator >=.
Filter | operator< (int value) const override
| Operator <.
Filter | operator< (double value) const override
| Operator <.
Filter | operator<= (int value) const override
| Operator <=.
Filter | operator<= (double value) const override
| Operator <=.
Filter | operator== (int value) const override
| Operator ==.
Filter | operator== (double value) const override
| Operator ==.
Filter | operator!= (int value) const override
| Operator !=.
Filter | operator!= (double value) const override
| Operator !=.
ConstSelectorPtr | abs () const override
| Function abs.

## Static Public Member Functions
static AttributeFeature | ATTRIBUTE (const std::string &name)
| ATTRIBUTE function.

## Private Attributes
Feature< Feature_type > | m_internal
| Internal feauture holder.

## Constructor & Destructor Documentation

## ◆ SelectorWrapper()

template<typename Feature_type>

SelectorWrapper | ( | typename Feature< Feature_type >::Evaluator_type | functor | ) |
| inline

Constructor.

Definition at line 88 of file Selector.h.

References m_internal.

## Member Function Documentation

## ◆ abs()

template<typename Feature_type>

ConstSelectorPtr abs | ( |  | ) | const
| inlineoverridevirtual

Function abs.

Implements Selector.

Definition at line 151 of file Selector.h.

References m_internal, and SelectorWrapper().

## ◆ ATTRIBUTE()

AttributeFeature ATTRIBUTE | ( | const std::string & | name | ) |
| staticinherited

ATTRIBUTE function.

Definition at line 28 of file Selector.cc.

## ◆ operator!=() [1/2]

template<typename Feature_type>

Filter operator!= | ( | double | value | ) | const
| inlineoverridevirtual

Operator !=.

Implements Selector.

Definition at line 146 of file Selector.h.

References m_internal.

## ◆ operator!=() [2/2]

template<typename Feature_type>

Filter operator!= | ( | int | value | ) | const
| inlineoverridevirtual

Operator !=.

Implements Selector.

Definition at line 141 of file Selector.h.

References m_internal.

## ◆ operator<() [1/2]

template<typename Feature_type>

Filter operator< | ( | double | value | ) | const
| inlineoverridevirtual

Operator <.

Implements Selector.

Definition at line 116 of file Selector.h.

References m_internal.

## ◆ operator<() [2/2]

template<typename Feature_type>

Filter operator< | ( | int | value | ) | const
| inlineoverridevirtual

Operator <.

Implements Selector.

Definition at line 111 of file Selector.h.

References m_internal.

## ◆ operator<=() [1/2]

template<typename Feature_type>

Filter operator<= | ( | double | value | ) | const
| inlineoverridevirtual

Operator <=.

Implements Selector.

Definition at line 126 of file Selector.h.

References m_internal.

## ◆ operator<=() [2/2]

template<typename Feature_type>

Filter operator<= | ( | int | value | ) | const
| inlineoverridevirtual

Operator <=.

Implements Selector.

Definition at line 121 of file Selector.h.

References m_internal.

## ◆ operator==() [1/2]

template<typename Feature_type>

Filter operator== | ( | double | value | ) | const
| inlineoverridevirtual

Operator ==.

Implements Selector.

Definition at line 136 of file Selector.h.

References m_internal.

## ◆ operator==() [2/2]

template<typename Feature_type>

Filter operator== | ( | int | value | ) | const
| inlineoverridevirtual

Operator ==.

Implements Selector.

Definition at line 131 of file Selector.h.

References m_internal.

## ◆ operator>() [1/2]

template<typename Feature_type>

Filter operator> | ( | double | value | ) | const
| inlineoverridevirtual

Operator >.

Implements Selector.

Definition at line 96 of file Selector.h.

References m_internal.

## ◆ operator>() [2/2]

template<typename Feature_type>

Filter operator> | ( | int | value | ) | const
| inlineoverridevirtual

Operator >.

Implements Selector.

Definition at line 91 of file Selector.h.

References m_internal.

## ◆ operator>=() [1/2]

template<typename Feature_type>

Filter operator>= | ( | double | value | ) | const
| inlineoverridevirtual

Operator >=.

Implements Selector.

Definition at line 106 of file Selector.h.

References m_internal.

## ◆ operator>=() [2/2]

template<typename Feature_type>

Filter operator>= | ( | int | value | ) | const
| inlineoverridevirtual

Operator >=.

Implements Selector.

Definition at line 101 of file Selector.h.

References m_internal.

## Field Documentation

## ◆ m_internal

template<typename Feature_type>

Feature<Feature_type> m_internal
| private

Internal feauture holder.

Definition at line 158 of file Selector.h.

The documentation for this class was generated from the following file:

- Selector.h